%define gamedir sky-floppy

Name: steel-sky-floppy
Version: 0
Release: alt2

Summary: An science-fiction adventure game.
Summary (ru_RU.UTF-8): Фантастическая игра-приключение.
License: Distributable freeware
Group: Games/Adventure
Url: http://www.scummvm.org
Source: BASS-Floppy.zip
BuildArch: noarch
Requires: scummvm >= 0.5.0
Conflicts: steel-sky-cd
BuildRequires: unzip

%description
Beneath a Steel Sky is a 2D point-and-click science fiction thriller set in a
bleak vision of the future. You are Robert Foster, an innocent outsider stranded 
in a vast city where oppressed civilians live and work in soaring tower blocks... 
whilst the corrupt, covetous and rich live underground, safe from all pollution. 
Alone, save for a robot circuit board, Foster must fight for survival - and 
discover the sinister truth behind both his own past and the city he has found 
himself trapped in.

%description -l ru_RU.UTF-8
Игра Beneath a Steel Sky представляет собой 2-мерный фантастический триллер 
в мрачном мире будущего. Вы - Роберт Фостер без всякой вины оказались заброшены
в огромный город, угнетённые жители которого живут и работают в гиганских домах-башнях...
Их алчные и погрязшие в коррупции правители живут под землёй, где нет загрязнённого
воздуха. Фостер должен выжить в одиночку и открыть зловещую тайну своего прошлого и 
города, в котором он заперт. Единственным союзником оказывается робот Джои, чью 
печатную плату-мозг Фостер несёт с собой.  

%prep
%setup -q -n %gamedir

%install
install -m755 -d $RPM_BUILD_ROOT%_usr/games/%gamedir
install -m644 sky.dnr $RPM_BUILD_ROOT%_usr/games/%gamedir
install -m644 sky.dsk $RPM_BUILD_ROOT%_usr/games/%gamedir
# Menu
%__mkdir -p $RPM_BUILD_ROOT%_menudir
%__cat >$RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(%name): command="scummvm -g advmame3x -f -p %_usr/games/%gamedir sky" needs="X11" \
section="Amusement/Adventure" title="Beneath a Steel Sky" \
longtitle="A science-fiction adventure game" icon="scummvm.xpm"
EOF

%post
%update_menus

%postun
%clean_menus

%files
%_usr/games/%gamedir
%_menudir/%name
%doc readme.txt

%changelog
* Wed Dec 01 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0-alt2
- Fixed menu path

* Wed Aug 13 2003 Vyacheslav Dikonov <slava@altlinux.ru> 0-alt1
- ALTLinux RPM
